///<reference path="/Scripts/ExtPB_Net.js" />
///<reference path="/Scripts/MyExtPB.js" />
///<reference path="/Scripts/ExtPB_Dll_Pb_Http.js" />
///<reference path="/Scripts/MyExtPb_Input.js" />

function W_mmxyjyyzszsp_Fajb_list() {

    var self = this;
    var requestor = new PBWindow();
    var dw_mmxyjyyzszsp_fajb_list = new DataWindow(requestor);

    if (typeof (this.bind) == "function") var baseBind = this.bind;
    this.bind = function (win) {
        if (typeof (baseBind) == "function") baseBind(win);

        if (requestor == null) requestor = new PBWindow();
        requestor.Attach(win);
        if (dw_mmxyjyyzszsp_fajb_list == null) dw_mmxyjyyzszsp_fajb_list = new DataWindow(requestor);
        dw_mmxyjyyzszsp_fajb_list.Attach(win.Control("dw_mmxyjyyzszsp_fajb_list"));

        if (typeof (self.PostOpen) == "function")
            win.AttachEvent("window", "PostOpen", self.PostOpen);

        if (typeof (self.Quit) == "function")
            win.AttachEvent("cb_2", "Clicked", self.Quit);

        if (typeof (self.OK) == "function")
            win.AttachEvent("cb_1", "Clicked", self.OK);

    }

    if (typeof (this.unbind) == "function") var baseUnBind = this.unbind;
    this.unbind = function () {
        if (typeof (this.Release) == "function") this.Release();
        if (typeof (baseUnBind) == "function") baseUnBind();

        dw_mmxyjyyzszsp_fajb_list.Detach(); dw_mmxyjyyzszsp_fajb_list = null;
        requestor.Detach(); requestor = null;

        setTimeout(CollectGarbage, 100);
    }

    //以上代码由设计器自动生成,请不要手工修改
    //ExtPB.Net JavaScript End  设计器查找标志,请不要删除或修改
    var curDw_list = "";
    var curSyntax = "";
    var curDw_list_Row = "";
    this.SetDataWindow = function (dw__1, Syntax) {
        curDw_list = dw__1;
        curSyntax = Syntax;
    }
    this.PostOpen = function () {
        dw_mmxyjyyzszsp_fajb_list.SetFullState(curSyntax);
        dw_mmxyjyyzszsp_fajb_list.Modify("mmje.Protect='1' mmje.color='8421504' tjje.Protect='1' tjje.color='8421504' zssl.Protect='1' zssl.color='8421504'");
        
    }
    this.OK = function () {
        var curRow = dw_mmxyjyyzszsp_fajb_list.GetRow();
        curDw_list_Row = requestor.GetParm("curRow");
        if (curRow > 0) {
            var curmmje = dw_mmxyjyyzszsp_fajb_list.GetItemNumber(curRow, "mmje");
            var curtjje = dw_mmxyjyyzszsp_fajb_list.GetItemNumber(curRow, "tjje");
            var curzssl = dw_mmxyjyyzszsp_fajb_list.GetItemNumber(curRow, "zssl");
            if (curDw_list_Row != "") {
                curDw_list.SetItem(curDw_list_Row, "mmje", curmmje)
                curDw_list.SetItem(curDw_list_Row, "tjje", curtjje)
                curDw_list.SetItem(curDw_list_Row, "zssl", curzssl)
            }

        }
        requestor.Close();
    }
    this.Quit = function () {
        requestor.Close();
    }
}